Status: Closed Priority: Normal
Author: Letto Category:
Updated: 05/28/2010 Due date:
Subject: more .hgignore fields
Description

after building nel i got a lot of files that hg wanted to track

i build nel with cmake like this
in code/nel
mkdir build
cd biuld
cmake -G "Unix Makefiles" ..
make

with this changes i finnaly managed to make hg quiet

also added vim and kdevelop fields

History
#1 - 05/09/2010 01:43 pm - thorbjorn

Ignoring Makefile* is too broad, since that would also ignore the checked-in Makefile and Makefile.am files.

#2 - 05/09/2010 02:04 pm - Letto

I assume those are leftovers since this this project is going to cmake and all most other build filetypes are ignored.

#3 - 05/09/2010 02:08 pm - kaetemi

@thorbjorn: Files that are already checked in are not ignored, iirc.

#4 - 05/09/2010 02:20 pm - thorbjorn

They're not leftovers yet, since the switch to cmake is yet to be done. :-)

But yeah, the existing files would not be ignored. So assuming no new Makefile or Makefile.am files need to be added, I guess the ignore rule would be
fine. But otherwise it would be a bit annoying/surprising for those adding such files.

#5 - 05/09/2010 02:22 pm - kaetemi

I think you can get around an ignore by using the add command directly.
#6 - 05/09/2010 02:25 pm - thorbjorn

Yes, it's just that you won't get any reminder that you need to add them.

#7 - 05/09/2010 02:25 pm - kervala

I will remove all "Makefile" (only them) from nel folder in a next commit :) Because they was used a long time ago before using autoconf/automake or
CMake and these new build systems overwrite them. "Makefile.am" will be kept for the moment :)

#8 - 05/09/2010 04:38 pm - vl
- Assignee set to vl

#9 - 05/09/2010 04:38 pm - vl
- Status changed from New to Assigned

#10 - 05/09/2010 04:42 pm - Anonymous
- Status changed from Assigned to Resolved
- % Done changed from 70 to 100

Applied in changeset r47.

#11 - 05/09/2010 04:56 pm - kaetemi

.so will give problems with .sound files etc, though.

#12 - 05/09/2010 05:01 pm - vl

kaetemi wrote:

.so will give problems with .sound files etc, though.

True, can we have the list of .so* extension so we can be more precise?

#13 - 05/09/2010 05:28 pm - Letto

.so are linux ddls
replace it with 
.so
.so.*

that's for files like
? code/nel/build/lib/libnelpacs.so
? code/nel/build/lib/libnelpacs.so.0.7.0

#14 - 05/09/2010 05:29 pm - Letto
i mean .so and *.so. but this board ate my *

#15 - 05/09/2010 05:30 pm - Letto

damn this thing is really retarded, it still misses a *

#16 - 05/09/2010 05:41 pm - vl

Applied in changeset r51.

#17 - 05/09/2010 05:42 pm - Letto

please also add *.so for files that end in .so

#18 - 05/18/2010 10:22 am - vl
- Target version set to Version 0.8.0

#19 - 05/28/2010 05:23 pm - vl
- Status changed from Resolved to Closed

Files
patch.diff 3.8 kB 05/09/2010 Letto
